// creator  : weidu.exe (version 23600)
// argument : GIRBA3.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~GIRBA3~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #8840 /* ~I'm going to use magic when I get older. It's beautiful.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #8841 /* ~I feel safe with the giant walls around the city.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 4 even though they appear after this state */
~  True()
~ THEN BEGIN 2 // from:
  SAY #8842 /* ~The guards are nice, but they sometimes do bad things to bad people.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #9025 /* ~Leave me alone! You're mean!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #9026 /* ~You don't smell half as bad as most 'venturers.~ */
  IF ~~ THEN EXIT
END
